Subject: bug#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips

From: Drew Adams <[email-masked]>
Date: Tue, 12 Apr 2016 07:26:47 -0700 (PDT)

>  >> `x-show-tip' just might work.
>  > You mean, tooltip-functions doesn't?
> 
> The doc-string of ‘x-show-tip’ advises that
>    This is an internal function; Lisp code should call ‘tooltip-show’.

Yes, and that's misguided, at least for the reason you give.

> but ‘tooltip-show’ overrides any face properties of TEXT via
>    (propertize text 'face 'tooltip)
> in a hardcoded fashion.  So if you want to display your own face
> attributes, you currently have to call ‘x-show-tip’ directly despite of
> its advice.

Exactly.  Plus ‘x-show-tip’ works across Emacs versions.
It is preferable, IMO.

> Obviously, GTK+ (and probably OS X) tooltips override such attributes
> anyway, so changing this might probably never given high priority.
> Still, Emacs tooltip frames provide the possibility so why not use it?

Yes.  Just do it.

When Emacs wants to steer users away from X toward Y, especially
because the name X is misleading (e.g. `x-<something'), it had
better make sure that Y is really an adequate replacement for X.